body {
  padding: 0;
  padding-left: 50px;
  padding-right: 50px;
  font-size: 18px;
  font-family: "Inter", sans-serif;
  line-height: 1.6;
}

.sidenav {
  cursor: pointer;
  height: 100%;
  width: 300px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  overflow-y: auto;
  padding-top: auto;
}
@media screen and (min-height: 800px) {
  .sidenav {
    padding-top: 120px; /* enemmän tilaa isolla ruudulla */
  }
}
/*https://developer.mozilla.org/en-US/docs/Web/CSS/::-webkit-scrollbar  ->*/
.sidenav::-webkit-scrollbar {
  width: 8px;
}

.sidenav::-webkit-scrollbar-track {
  background: #111;
}

.sidenav::-webkit-scrollbar-thumb {
  background-color: #444;
  border-radius: 4px;
}

.sidenav::-webkit-scrollbar-thumb:hover {
  background-color: #666;
}

.sidenav a {
  display: block;
  padding: 10px 20px;
  margin: 4px 0;
  font-size: 1.3rem;
  line-height: 1.4;
  text-decoration: none;
  color: #ccc;
  border-radius: 6px;
  transition: background-color 0.2s, color 0.2s;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.header {
  background-color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 270px; /* Adjust the height as needed */
  margin-left: 300px; /* Header starts next to sidenav*/
  border-radius: 20px;
}

.header img {
  max-width: 100%;
  max-height: 100%;
}

.content {
  padding-left: 40px;
  padding-right: 40px;
  padding-top: 30px;
  margin-left: 300px; /* Content won't get under sidenav*/
}

p {
  width: 80%;
  margin: 0 auto 1.2em auto; /* Center the text and add space below */
}

ul,
ol {
  width: 60%;
  margin: 0 auto 1.2em auto;
  padding-left: 1.2em;
}
hr {
  margin: 40px auto;
  width: 50%;
}

/*h1,
h2,
h3,
h4 {
  text-align: center;
}*/

img {
  max-width: 80%;
  height: auto;
  display: block;
  margin: 20px auto;
  border-radius: 8px;
}
code {
  display: block;
  width: 80%;
  margin: 0 auto 1.2em auto;
  background-color: #f2f2f2;
  padding: 8px;
  font-family: monospace;
}

.footer {
  background-color: #ffffff;
  color: #484646;
  text-align: right;
  width: 100%;
}

iframe {
  width: 100%;
  height: 600px;
  border: none;
}

.contract-box {
  background: #f9f9f9;
  padding: 20px;
  border-radius: 10px;
  max-width: 800px;
  height: auto;
  margin: auto;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}
.contract-content {
  height: auto;
  max-width: 100%;
  overflow-y: auto;
  padding: 20px;
  border: 1px solid #ccc;
} /*https://www.w3schools.com/css/css_boxmodel.asp*/

button {
  background-color: #28a745;
  color: white;
  padding: 10px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 18px;
  font-family: "Inter", sans-serif;
} /*https://www.w3schools.com/TAGs/tag_button.asp*/
